## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate nu-protocol

Name:           rust-nu-protocol
Version:        0.80.0
Release:        %autorelease
Summary:        Nushell's internal protocols, including its abstract syntax tree

License:        MIT
URL:            https://crates.io/crates/nu-protocol
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Nushell's internal protocols, including its abstract syntax tree.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+plugin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+plugin-devel %{_description}

This package contains library source intended for building other packages which
use the "plugin" feature of the "%{crate}" crate.

%files       -n %{name}+plugin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# these tests don't work from outside the multi-crate project checkout
SKIP_TESTS="into_config test_config"
for f in ${SKIP_TESTS}; do
  mv tests/$f.rs tests/$f.rs.off
done
# two other tests are not panicking as expected
%cargo_test -- -- \
  --skip test_signature_same_short \
  --skip test_signature_same_name
for f in ${SKIP_TESTS}; do
  mv tests/$f.rs.off tests/$f.rs
done
%endif

%changelog
* Fri May 19 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.80.0-1
- Update to 0.80.0

* Wed Feb 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.76.0-1
- Update to 0.76.0

* Thu Feb 16 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.75.0-1
- Update to 0.75.0

* Sun Jan 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.74.0-1
- Update to 0.74.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.65.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 yizhengxie <yizhengx@bu.edu> - 0.65.0-1
- Update to 0.65.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.61.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.61.0-1
- Initial Fedora package
